add_requires("zlib")

-- Game files (with server)
target("Blitz")
    if is_os("windows") then
        set_kind("static")
        add_links("ws2_32") -- link network stuff
    else
        set_kind("shared")
    end

    add_includedirs("../include")
    add_files("../src/blitz/**.cpp", "../src/server/**.cpp")

    add_packages("zlib")